Loading...
Searching...
No Matches
run_citations_update Namespace Reference

## Functions

| parse_name (contributor)
| parse_contributors (contributors)
| fix_known_names (contributors)
| merge_names (contributors)
| normalize_names (contributors)
| find_citation_file (filename='.zenodo.json')
| load_citation_file (filename)
| update_citation_file (filename, citation_data)
| main ()

## Variables

dict | name_aliases

## Function Documentation

## find_citation_file()

run_citations_update.find_citation_file | ( |  | filename = '.zenodo.json' | ) |

## fix_known_names()

run_citations_update.fix_known_names | ( |  | contributors | ) |

## load_citation_file()

run_citations_update.load_citation_file | ( |  | filename | ) |

## main()

run_citations_update.main | ( |  | ) |

## merge_names()

run_citations_update.merge_names | ( |  | contributors | ) |

## normalize_names()

run_citations_update.normalize_names | ( |  | contributors | ) |

## parse_contributors()

run_citations_update.parse_contributors | ( |  | contributors | ) |

## parse_name()

run_citations_update.parse_name | ( |  | contributor | ) |

## update_citation_file()

run_citations_update.update_citation_file | ( |  | filename,
|  |  | citation_data )

## Variable Documentation

## name_aliases

dict run_citations_update.name_aliases

Initial value:
= {
'alesha72003': "Alexey Slokva",
'Camel Coder': 'Olaf Bernstein',
'dernasherbrezon': "Andrey Rodionov",
'Doug': "Douglas Geiger",
'Doug Geiger': "Douglas Geiger",
"Federico 'Larroca' La Rocca": "Federico Larroca",
'git-artes': "Federico 'Larroca' La Rocca",
'ghostop14': "Mike Piscopo",
'gnieboer': "Geof Nieboer",
'Jam Quiceno': "Jam M. Hernandez Quiceno",
'jdemel': "Johannes Demel",
'Marc L': "Marc Lichtman",
'Marcus Mueller': "Marcus Müller",
'Michael L Dickens': "Michael Dickens",
'Micheal Dickens': "Michael Dickens",
'namccart': "Nicholas McCarthy",
'hcab14': "Christoph Mayer",
'cmayer': "Christoph Mayer",
'Rick Farina (Zero_Chaos)': 'Rick Farina',
'root': "Philip Balister",
'jsallay': "John Sallay"}